package com.qmth.sop.business.bean.report;

import com.fasterxml.jackson.annotation.JsonInclude;
import io.swagger.annotations.ApiModelProperty;

import java.io.Serializable;
import java.math.BigDecimal;

/**
 * @Description: 流程查阅提醒报表bean
 * @Param:
 * @return:
 * @Author: wangliang
 * @Date: 2024/9/18
 */
@JsonInclude(JsonInclude.Include.NON_NULL)
public class FlowMsgReferReportBean implements Serializable {

    @ApiModelProperty(value = "名称")
    String name;

    @ApiModelProperty(value = "查阅总数")
    Integer sum;

    @ApiModelProperty(value = "已查阅")
    Integer readMsg;

    @ApiModelProperty(value = "未查阅")
    Integer unReadMsg;

    @ApiModelProperty(value = "已查阅比率")
    BigDecimal readRate;

    @ApiModelProperty(value = "未查阅比率")
    BigDecimal unReadRate;

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public Integer getSum() {
        return sum;
    }

    public void setSum(Integer sum) {
        this.sum = sum;
    }

    public Integer getReadMsg() {
        return readMsg;
    }

    public void setReadMsg(Integer readMsg) {
        this.readMsg = readMsg;
    }

    public Integer getUnReadMsg() {
        return unReadMsg;
    }

    public void setUnReadMsg(Integer unReadMsg) {
        this.unReadMsg = unReadMsg;
    }

    public BigDecimal getReadRate() {
        return readRate;
    }

    public void setReadRate(BigDecimal readRate) {
        this.readRate = readRate;
    }

    public BigDecimal getUnReadRate() {
        return unReadRate;
    }

    public void setUnReadRate(BigDecimal unReadRate) {
        this.unReadRate = unReadRate;
    }
}
